<template>
  <div id="home">

    <div class="card mb-3" data-bs-toggle="modal" data-bs-target="#exampleModal" style="max-width: 540px;">
      <div class="row g-0">
        <div class="col-md-12">
          <div class="card-body">
            
            <table class="table table-borderless">
              <thead>
                <tr>
                  <th>Top country</th>
                  <th>IMC</th>
                  <th>Median</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>{{stat.countries}}</td>
                  <td>{{stat.imc}}</td>
                  <td>{{stat.median}}</td>
                </tr>
              </tbody>
            </table>
            
          </div>
        </div>
      </div>
    </div>

    <player-list
      :players="players"
      :playerDetail="myPlayer"
    >
      <player-info
        :player="player"
      ></player-info>
    </player-list>
  </div>
</template>

<script>

import { mapActions, mapGetters } from 'vuex'
import PlayerList from '../components/list/index.vue'
import PlayerInfo from '../components/detail/index.vue'

  export default{
    name: "Home",
    data(){
      return {}
    },
    components:{
      PlayerList,
      PlayerInfo,
    },
    computed:{
      ...mapGetters({
        players: 'players',
        player: 'player',
        stat: 'stat',
      }),
    },
    methods:{
      ...mapActions({
        allPlayers: 'players',
        myPlayer: 'player',
        myStat: 'stat',
      }),
    },
    created(){
      this.allPlayers()
      this.myStat()
    }
  }
</script>

<style scoped>
  
  #home{
    padding: 70px 60px;
  }
  
  .table thead{
    text-transform: uppercase;
    color: rgba(0, 0, 0, 0.3);
  }
  .table tbody{
    color: #EBAD65;
    font-weight: 600;
  }
</style>